package	jp.co.sds_corp.transfer.layout;

import jp.co.sds_corp.transfer.IData;
import jp.co.sds_corp.util.common.CmnDate;

/**
* 日付フィールドを編集するコンバータです。
*/
public class DateConverter implements IConverter
{
	/** タイプ：現在日時 */
	public static final int TYPE_NOW = 0;
	/** タイプ：更新日時 */
	public static final int TYPE_UPD = 1;

	int	type;
	String pattern;

	/**
	* 指定されたタイプとフォーマット文字列でDateConverterを作成します。
	* @param	type	編集タイプ
	* @param	pattern	フォーマット文字列
	*/
	public DateConverter( int type, String pattern ) {
		this.type = type;
		this.pattern = pattern;
	}

	/**
	* 文字列を編集して出力します。
	* @param	data	編集元のデータ
	* @return	編集結果の文字列
	*/
	public String convert( IData data ) {
		if ( pattern == null ) {
			pattern = "yyyy-MM-dd HH:mm:ss";
		}
		switch ( type ) {
		case TYPE_UPD:
			return data.getUpdateTime().format( pattern );
		case TYPE_NOW:
		default:
			return new CmnDate().format( pattern );
		}
	}
}
